Results 1 to 2 of 2
  1.    #1  
    Hello

    I try to compile the the webosinternals's Cross-compilation environment available at
    git.webos-internals.org Git - preware/cross-compile.git/summary
    with all the steps detailed at
    WebOS Internals PDK - WebOS Internals.

    It works fine except when I try to compile libXmu and I have this error.

    checking pkg-config is at least version 0.9.0... yes
    checking for XMU... configure: error: Package requirements (xt xext x11 xextproto) were not met:

    No package 'xt' found
    No package 'xext' found

    Consider adjusting the PKG_CONFIG_PATH environment variable if you
    installed software in a non-standard prefix.

    Alternatively, you may set the environment variables XMU_CFLAGS
    and XMU_LIBS to avoid the need to call pkg-config.
    See the pkg-config man page for more details.

    make[1]: *** [build/armv7.built] Error 1
    make[1]: Leaving directory `/srv/preware/cross-compile/packages/x/libXmu'
    make: *** [staging-armv7] Error 2


    When I check /srv/preware/cross-compile/packages/x/
    I saw that the libs libxt and libXext were not compiled.

    There is a problem in the order of compilation for the packages to satisfy the dependencies.

    Can someone fix this problem ?

    Thanks.

    Yannick
  2. #2  
    Hi!
    Just committed the fix.

    Lucky I saw this, I don't generally read the forums--at least not random threads.

    While I suppose someone else on the webos-internals team would find it, let me suggest in the future you discuss build problems on the IRC channel---it'll get attention and fixed faster.

    Anyway, sorry about that and thanks for reporting .
    Quake
    thread
    VisualBoyAdvance
    thread App Cat
    X11/XServer/Xterm
    thread
    SuperNES
    thread App Cat


    If you like my work, please consider donating or buying VBA!

Posting Permissions